# Generated by Django 3.2.22 on 2023-10-22 14:49

from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='SimpleTaskChannel',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('code', models.CharField(max_length=64, unique=True, verbose_name='Channel Code')),
                ('name', models.CharField(blank=True, max_length=64, null=True, verbose_name='Channel Name')),
                ('redis_name', models.CharField(blank=True, max_length=64, null=True, verbose_name='Channel Cache Name')),
                ('redis_key', models.CharField(blank=True, max_length=128, null=True, verbose_name='Channel Key')),
                ('queue_size', models.IntegerField(blank=True, null=True, verbose_name='Channel Queue Size')),
                ('queue_size_update_time', models.DateTimeField(blank=True, null=True, verbose_name='Channel Queue Size Update Time')),
                ('add_time', models.DateTimeField(auto_now_add=True, verbose_name='Add Time')),
                ('mod_time', models.DateTimeField(auto_now=True, verbose_name='Modify Time')),
            ],
            options={
                'verbose_name': 'Django Simple Task Channel',
                'verbose_name_plural': 'Django Simple Task Channels',
                'permissions': [('clean_all_items', 'Can clean all items'), ('remove_duplicate_items', 'Can remove duplicate items')],
            },
        ),
        migrations.CreateModel(
            name='SimpleTaskQueue',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=64, verbose_name='Simple Task Queue Name')),
                ('model', models.CharField(blank=True, max_length=128, null=True, verbose_name='Simple Task Queue Model')),
                ('alive', models.BooleanField(blank=True, help_text='Simple Task Queue alive means the model is NOT deleted.', null=True, verbose_name='Simple Task Queue Alive')),
                ('alive_update_time', models.DateTimeField(blank=True, null=True, verbose_name='Simple Task Queue Alive Status Update Time')),
                ('enabled', models.BooleanField(blank=True, help_text='Will not update the queue stats if the queue is disabled.', null=True, verbose_name='Simple Task Queue Enabled')),
                ('size', models.IntegerField(blank=True, help_text='The queue size is calculated periodically, so it may delay some times. Check the details to find the lastest update time.', null=True, verbose_name='Simple Task Queue Size')),
                ('size_update_time', models.DateTimeField(blank=True, null=True, verbose_name='Simple Task Queue Size Update Time')),
                ('add_time', models.DateTimeField(auto_now_add=True, verbose_name='Add Time')),
                ('mod_time', models.DateTimeField(auto_now=True, verbose_name='Modify Time')),
            ],
            options={
                'verbose_name': 'Simple Task Queue',
                'verbose_name_plural': 'Simple Task Queues',
            },
        ),
    ]
